<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::LogCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_log_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::LogCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a> is a class for the centralisation of the logs. In other words, this class contains each logs who occurs during the execution of the program It contains also the ability for saving the log in files.  
 <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_log_collection_8hpp_source.html">LogCollection.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad29ce6c5028ec1da4812177265117b71"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ad29ce6c5028ec1da4812177265117b71">LogCollection</a> (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> &amp;)=delete</td></tr>
<tr class="separator:ad29ce6c5028ec1da4812177265117b71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c504113b68b568afb51f701aff604f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7c504113b68b568afb51f701aff604f7">operator=</a> (const <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> &amp;)=delete</td></tr>
<tr class="separator:a7c504113b68b568afb51f701aff604f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1193b265826021c86c40d48083eece06"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1193b265826021c86c40d48083eece06">~LogCollection</a> ()</td></tr>
<tr class="memdesc:a1193b265826021c86c40d48083eece06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html" title="This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the m...">Log</a> Collection object.  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1193b265826021c86c40d48083eece06">More...</a><br /></td></tr>
<tr class="separator:a1193b265826021c86c40d48083eece06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdb73837d5f960d83cabe7805f480c67"><td class="memItemLeft" align="right" valign="top"><a id="afdb73837d5f960d83cabe7805f480c67"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#afdb73837d5f960d83cabe7805f480c67">SaveLog</a> ()</td></tr>
<tr class="memdesc:afdb73837d5f960d83cabe7805f480c67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save the "unsaved" logs to the file and mark them as "saved". <br /></td></tr>
<tr class="separator:afdb73837d5f960d83cabe7805f480c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21ecae9d5a43da77d6aec61d6c308caa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a21ecae9d5a43da77d6aec61d6c308caa">AddLog</a> (unique_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a> &gt; log)</td></tr>
<tr class="memdesc:a21ecae9d5a43da77d6aec61d6c308caa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a log to the collection.  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a21ecae9d5a43da77d6aec61d6c308caa">More...</a><br /></td></tr>
<tr class="separator:a21ecae9d5a43da77d6aec61d6c308caa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11014211f3688f950bc06be2c8ce9625"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a11014211f3688f950bc06be2c8ce9625">SetAutoSave</a> (bool enable)</td></tr>
<tr class="memdesc:a11014211f3688f950bc06be2c8ce9625"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the AutoSave state for the logs If autosave = true, the log will be saved in the file when they was add to the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a> If autosave = false, the log will be saved only when the method "SaveLog()" is call.  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a11014211f3688f950bc06be2c8ce9625">More...</a><br /></td></tr>
<tr class="separator:a11014211f3688f950bc06be2c8ce9625"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ab0b2f3e08dd16ab09546d16bd3e476db"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ab0b2f3e08dd16ab09546d16bd3e476db">InitLogCol</a> (string path, string name, bool dateBeforeName, bool autosave)</td></tr>
<tr class="memdesc:ab0b2f3e08dd16ab09546d16bd3e476db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the instance of the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a> with setting the options of the log system.  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ab0b2f3e08dd16ab09546d16bd3e476db">More...</a><br /></td></tr>
<tr class="separator:ab0b2f3e08dd16ab09546d16bd3e476db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41142f3dc016102009e720426bd699ab"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a41142f3dc016102009e720426bd699ab">GetInstance</a> ()</td></tr>
<tr class="memdesc:a41142f3dc016102009e720426bd699ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Instance of the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a>.  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a41142f3dc016102009e720426bd699ab">More...</a><br /></td></tr>
<tr class="separator:a41142f3dc016102009e720426bd699ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:af8272708fd8ba9468a3d942d2def53f5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af8272708fd8ba9468a3d942d2def53f5">LogCollection</a> (string path, string name, bool dateBeforeName, bool autosave)</td></tr>
<tr class="memdesc:af8272708fd8ba9468a3d942d2def53f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html" title="This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the m...">Log</a> Collection object.  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af8272708fd8ba9468a3d942d2def53f5">More...</a><br /></td></tr>
<tr class="separator:af8272708fd8ba9468a3d942d2def53f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c10f4281cc931d8a8468cff572fb27b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a8c10f4281cc931d8a8468cff572fb27b">SetName</a> (string name)</td></tr>
<tr class="memdesc:a8c10f4281cc931d8a8468cff572fb27b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the file if "m_namePrecededByDate" is true, the name will be preceded of the current datetime.  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a8c10f4281cc931d8a8468cff572fb27b">More...</a><br /></td></tr>
<tr class="separator:a8c10f4281cc931d8a8468cff572fb27b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12e8062406b901c53e58d9ef2a77aa7c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a12e8062406b901c53e58d9ef2a77aa7c">GetPathAndFileName</a> ()</td></tr>
<tr class="memdesc:a12e8062406b901c53e58d9ef2a77aa7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Path And Filename where the file will be write.  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a12e8062406b901c53e58d9ef2a77aa7c">More...</a><br /></td></tr>
<tr class="separator:a12e8062406b901c53e58d9ef2a77aa7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3eeeddbe0ba645e013d07aa5716679e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ae3eeeddbe0ba645e013d07aa5716679e">AddHeaderInLogFile</a> (string pathAndFilename)</td></tr>
<tr class="memdesc:ae3eeeddbe0ba645e013d07aa5716679e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add into the file the header row for the logs (only if the file doesn't exists)  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ae3eeeddbe0ba645e013d07aa5716679e">More...</a><br /></td></tr>
<tr class="separator:ae3eeeddbe0ba645e013d07aa5716679e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a1691ef1468db345fd09c8d4d31cebe4c"><td class="memItemLeft" align="right" valign="top"><a id="a1691ef1468db345fd09c8d4d31cebe4c"></a>
queue&lt; unique_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1691ef1468db345fd09c8d4d31cebe4c">m_savedLogs</a></td></tr>
<tr class="memdesc:a1691ef1468db345fd09c8d4d31cebe4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ordered collection of each logs who occurs and was already saved in the file (The collection is of type "FIFO (First in, first out)") <br /></td></tr>
<tr class="separator:a1691ef1468db345fd09c8d4d31cebe4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65172e917c7ba4c87a77f17e855c5e42"><td class="memItemLeft" align="right" valign="top"><a id="a65172e917c7ba4c87a77f17e855c5e42"></a>
queue&lt; unique_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a65172e917c7ba4c87a77f17e855c5e42">m_unsavedLogs</a></td></tr>
<tr class="memdesc:a65172e917c7ba4c87a77f17e855c5e42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ordered collection of each logs who occurs and was already saved in the file (The collection is of type "FIFO (First in, first out)") <br /></td></tr>
<tr class="separator:a65172e917c7ba4c87a77f17e855c5e42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d20041e286e0530abff974ed4b23c98"><td class="memItemLeft" align="right" valign="top"><a id="a7d20041e286e0530abff974ed4b23c98"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7d20041e286e0530abff974ed4b23c98">m_saveFolderPath</a> {&quot;./log/&quot;}</td></tr>
<tr class="memdesc:a7d20041e286e0530abff974ed4b23c98"><td class="mdescLeft">&#160;</td><td class="mdescRight">The path where the logs will be saved (folder) <br /></td></tr>
<tr class="separator:a7d20041e286e0530abff974ed4b23c98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37570b5e3e742530c730e49f294ea385"><td class="memItemLeft" align="right" valign="top"><a id="a37570b5e3e742530c730e49f294ea385"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a37570b5e3e742530c730e49f294ea385">m_saveName</a> {&quot;logs.log&quot;}</td></tr>
<tr class="memdesc:a37570b5e3e742530c730e49f294ea385"><td class="mdescLeft">&#160;</td><td class="mdescRight">The filename (with extension) where the logs will be saved. <br /></td></tr>
<tr class="separator:a37570b5e3e742530c730e49f294ea385"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44d6630ceebc5b45eb6f85402c6565a7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a44d6630ceebc5b45eb6f85402c6565a7">m_namePrecededByDate</a> {true}</td></tr>
<tr class="memdesc:a44d6630ceebc5b45eb6f85402c6565a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">is the filename must be overwriten with the date before ?  <a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a44d6630ceebc5b45eb6f85402c6565a7">More...</a><br /></td></tr>
<tr class="separator:a44d6630ceebc5b45eb6f85402c6565a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b90ac5495b8d488695b0b83fab8406a"><td class="memItemLeft" align="right" valign="top"><a id="a3b90ac5495b8d488695b0b83fab8406a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a3b90ac5495b8d488695b0b83fab8406a">m_autosave</a> {true}</td></tr>
<tr class="memdesc:a3b90ac5495b8d488695b0b83fab8406a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the logs are saved after each add (True), or saved only when asked (False) ? <br /></td></tr>
<tr class="separator:a3b90ac5495b8d488695b0b83fab8406a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr class="memitem:af3aff12d2b7dc69128006eac2c31f16c"><td class="memItemLeft" align="right" valign="top"><a id="af3aff12d2b7dc69128006eac2c31f16c"></a>
static <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af3aff12d2b7dc69128006eac2c31f16c">m_instance</a> = nullptr</td></tr>
<tr class="memdesc:af3aff12d2b7dc69128006eac2c31f16c"><td class="mdescLeft">&#160;</td><td class="mdescRight">reference on himself <br /></td></tr>
<tr class="separator:af3aff12d2b7dc69128006eac2c31f16c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a> is a class for the centralisation of the logs. In other words, this class contains each logs who occurs during the execution of the program It contains also the ability for saving the log in files. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af8272708fd8ba9468a3d942d2def53f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8272708fd8ba9468a3d942d2def53f5">&#9670;&nbsp;</a></span>LogCollection() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">LogCollection::LogCollection </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dateBeforeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autosave</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html" title="This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the m...">Log</a> Collection object. </p>
<dl class="section remark"><dt>Remarks</dt><dd>This constructor is private, because a singleton define the method "GetInstance()" to be sure of having only 1 instance of the class</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Where the logs will be saved (folder) </td></tr>
    <tr><td class="paramname">name</td><td>Where the logs will be saved (filename with extension) </td></tr>
    <tr><td class="paramname">dateBeforeName</td><td>Is the name is preceded by the date (when the log name is setted) </td></tr>
    <tr><td class="paramname">autosave</td><td>Is the log are autosaved after each add </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad29ce6c5028ec1da4812177265117b71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad29ce6c5028ec1da4812177265117b71">&#9670;&nbsp;</a></span>LogCollection() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">He_Arc::RPG::LogCollection::LogCollection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section remark"><dt>Remarks</dt><dd>Delete the cloneable ability, because a singleton should not be cloneable </dd></dl>

</div>
</div>
<a id="a1193b265826021c86c40d48083eece06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1193b265826021c86c40d48083eece06">&#9670;&nbsp;</a></span>~LogCollection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">LogCollection::~LogCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destroy the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html" title="This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the m...">Log</a> Collection object. </p>
<dl class="section remark"><dt>Remarks</dt><dd>Didn't set to default, because contains a pointer (the pointer on himself) </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae3eeeddbe0ba645e013d07aa5716679e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3eeeddbe0ba645e013d07aa5716679e">&#9670;&nbsp;</a></span>AddHeaderInLogFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void LogCollection::AddHeaderInLogFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pathAndFilename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add into the file the header row for the logs (only if the file doesn't exists) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathAndFilename</td><td>File to check if exist, and if not, add the header log </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a21ecae9d5a43da77d6aec61d6c308caa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21ecae9d5a43da77d6aec61d6c308caa">&#9670;&nbsp;</a></span>AddLog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LogCollection::AddLog </td>
          <td>(</td>
          <td class="paramtype">unique_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a> &gt;&#160;</td>
          <td class="paramname"><em>log</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a log to the collection. </p>
<dl class="section remark"><dt>Remarks</dt><dd>if "autosave" is True, this function call "SaveLog()" too</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">log</td><td>log to add at the "unsaved log" </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a41142f3dc016102009e720426bd699ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41142f3dc016102009e720426bd699ab">&#9670;&nbsp;</a></span>GetInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> * LogCollection::GetInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the Instance of the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>LogCollection* The single instance of the log </dd></dl>

</div>
</div>
<a id="a12e8062406b901c53e58d9ef2a77aa7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12e8062406b901c53e58d9ef2a77aa7c">&#9670;&nbsp;</a></span>GetPathAndFileName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string LogCollection::GetPathAndFileName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the Path And Filename where the file will be write. </p>
<dl class="section return"><dt>Returns</dt><dd>string A concatenation of "m_saveFolderPath" and "m_saveFolderPath" </dd></dl>

</div>
</div>
<a id="ab0b2f3e08dd16ab09546d16bd3e476db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0b2f3e08dd16ab09546d16bd3e476db">&#9670;&nbsp;</a></span>InitLogCol()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> * LogCollection::InitLogCol </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dateBeforeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autosave</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the instance of the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a> with setting the options of the log system. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Where the logs will be saved (folder) </td></tr>
    <tr><td class="paramname">name</td><td>Where the logs will be saved (filename with extension) </td></tr>
    <tr><td class="paramname">dateBeforeName</td><td>Is the name is preceded by the date (when the log name is setted) </td></tr>
    <tr><td class="paramname">autosave</td><td>Is the log are autosaved after each add </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>LogCollection* The single instance of the log </dd></dl>

</div>
</div>
<a id="a7c504113b68b568afb51f701aff604f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c504113b68b568afb51f701aff604f7">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void He_Arc::RPG::LogCollection::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section remark"><dt>Remarks</dt><dd>Delete the assignation ability, because a singleton should not be assignable </dd></dl>

</div>
</div>
<a id="a11014211f3688f950bc06be2c8ce9625"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11014211f3688f950bc06be2c8ce9625">&#9670;&nbsp;</a></span>SetAutoSave()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LogCollection::SetAutoSave </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the AutoSave state for the logs If autosave = true, the log will be saved in the file when they was add to the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a> If autosave = false, the log will be saved only when the method "SaveLog()" is call. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enable</td><td>Enable the auto save option ? </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8c10f4281cc931d8a8468cff572fb27b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c10f4281cc931d8a8468cff572fb27b">&#9670;&nbsp;</a></span>SetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void LogCollection::SetName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the name of the file if "m_namePrecededByDate" is true, the name will be preceded of the current datetime. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a44d6630ceebc5b45eb6f85402c6565a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44d6630ceebc5b45eb6f85402c6565a7">&#9670;&nbsp;</a></span>m_namePrecededByDate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool He_Arc::RPG::LogCollection::m_namePrecededByDate {true}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>is the filename must be overwriten with the date before ? </p>
<dl class="section remark"><dt>Remarks</dt><dd>this condition is applied when calling "SetName()" </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/Log/<a class="el" href="_log_collection_8hpp_source.html">LogCollection.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/Log/<a class="el" href="_log_collection_8cpp.html">LogCollection.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
